From c51eaaf9f48785f0070a3b83858ddcbdae3c50f5 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Dec 20 2023 20:40:30 +0000
Subject: [PATCH 19/19] libre/iceweasel: 121.0.parabola1


Usual updates according to upstream changes. search-config-v2.json needs
to be patched later, it seems to be unused currently. So just skip it in
patch-json-files.py for now.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 3da81af..575bc74 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,7 +70,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=120.0.1
+pkgver=121.0
 pkgrel=1
 pkgrel+=.parabola1
 _brandingver=120.0
@@ -85,7 +85,7 @@ license=(
   MPL
 )
 depends=(
-  dbus-glib
+  dbus
   ffmpeg
   gtk3
   libpulse
@@ -181,17 +181,17 @@ validpgpkeys+=(
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
 
-sha256sums=('76e7bb2a144880158444d8e9014f4d080d219bd150c3db405b27e4c7e3959ae2'
+sha256sums=('edc7a5159d23ff2a23e22bf5abe22231658cee2902b93b5889ee73958aa06aa4'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58') # $pkgname.desktop
                                                                                 # identity-icons-brand.svg
 sha256sums+=('a5eed3c1f31a253f90b0284e0caf17bd35b3fa35197cfc403cb1bd987ecd56eb'  # *.branding.tar.xz
              'SKIP'
              '4ff07eff69343e50357c9bb571dfa6a702efb3a7915ce8ca8dcb42ee18446aac'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-             '77ce3e4de9b4bb280a6766cea61b0fbd81f0f946aa115bfe7bf24eca370e1d17'  # 9002-FSDG-preference-defaults.patch
+             '3e3c5c0a9751e4728a7c7f009a1eb90565de4ebe1b938b74b6669b28168bf335'  # 9002-FSDG-preference-defaults.patch
              '07d6910ddd07f60b803957259e06e3babee6f072f48c6fe31b906a1ea24e3b62'  # 9003-FSDG-urihandlers.patch
              'f999ddb5a2cde87217bb5b0ebf20b4e0aabe88657a73545c9487cddde1deab22'  # 9004-FSDG-misc.patch
-             '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
+             '5f3a646d90a075458b4cb27c19ddbd50ae7717f4e3371c9e2e4de1a8e718553e'  # process-json-files.py
              '86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06'  # vendor.js.in
              '3803336b109ab3663d227d6d16f712c33f5c55712028ee74e6e82f2ef74bf55f') # zstandard-0.22.0.diff
 sha256sums_i686=('62fa060e09b95e92fa81f4ac47c06b03d70c2bbc6cda061d85e965a82730e1c0'  # avoid-libxul-OOM-python-check.patch
@@ -199,17 +199,17 @@ sha256sums_i686=('62fa060e09b95e92fa81f4ac47c06b03d70c2bbc6cda061d85e965a82730e1
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('66ac2f1071ad8276b61946465db6d71cbe0a43c154fb57db67670e8f88183893fe7c7c8284388242964fd2883e50f40f29c879ebec3a2d759d20c356f27ca151'
+b2sums=('80905caeb208ef5dce7b62e248c86598ca786eb7032e114ad5d10812623bfceb688832f646dfbe220ef2fcecacf11cefae2afb0f1cdc0f7952647b71c58c9602'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635') # $pkgname.desktop
                                                                                                                                             # identity-icons-brand.svg
 b2sums+=('d6ccdc46fce7cfc4bb35a6b09deee8cd96b9076c599c1f031b4d2c5a9c2722bdf98dd14eddde50422e9a1b88f24d425c8a5f1e861877a367c6ff5365e61258c0'  # *.branding.tar.xz
          'SKIP'
          '9834f69d69f9ce3cee872a7e75b6848d5539b94752aa50c74612177a740319a33b02734f1d2cdde31ee50efa7a3ed85cf85efb7e6687cfe6ab7be843b4089e7b'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-         '702f3179595ce27660e9761811369158a8102c94e77ccb28d3a58026641b055e53f9ec45a1272346eada54021d02956360e1267728fbec201c50fee42c7d677f'  # 9002-FSDG-preference-defaults.patch
+         'c11cb32b7959a47e6d52b45a1611d27c04129eefcb015f8f9b005c9b29a2ee216e4a4702386b159867ed121705768f0a1721e01f5cab03a5444cdf09a9ef053b'  # 9002-FSDG-preference-defaults.patch
          'dbb0f9639cbe08bf423faf9e2966b5464a26ab5c6314eea18be0e89edd8ac465bfa04a219821852bdd0801dfed9092999bcca1a982a631035bae9a51408d8dde'  # 9003-FSDG-urihandlers.patch
          '7d7c9a67ef8035f85482b37d0b7b7743f005d5e7f48d1865f21745ebd10053ed8a6c15e1e176f42d5ef738e7bb074bdad8e912983ca4614a2aab50b95824a4a6'  # 9004-FSDG-misc.patch
-         '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
+         '6224eb8db58c0d00353512d5bf420a16be90a86dc86c9a8d735026a7f77ca4a8a148fea38015fc9639254b9e02b17d01521ad6b233a890aa082fb8476992fa2f'  # process-json-files.py
          'f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9'  # vendor.js.in
          '6176a2e4b7a651b50b1ca2d6c8b62b1fd7557cacff50f38cb87f126590d9a2ac8d9b249c1671be0551cc81ce9a028a22e9b29ac121e480dab61cd7c10b891d50') # zstandard-0.22.0.diff
 b2sums_i686=('684559d207d33e8b83c70d79ddb8b4d7532f2440895668245856553e02b6c786cf0de776981cdcce2438c7add2d692f4afbc85255949558852bdec9800c59882'  # avoid-libxul-OOM-python-check.patch
diff --git a/libre/iceweasel/process-json-files.py b/libre/iceweasel/process-json-files.py
index a2fd0e9..57e54d4 100644
--- a/libre/iceweasel/process-json-files.py
+++ b/libre/iceweasel/process-json-files.py
@@ -136,7 +136,7 @@ class Changes(RemoteSettings):
         changes = []
 
         for collection in unwrapped_jsons:
-            if collection.path != RemoteSettings.DUMPS_PATH_ABSOLUTE / 'main/example.json':
+            if collection.path not in (RemoteSettings.DUMPS_PATH_ABSOLUTE / 'main/example.json', RemoteSettings.DUMPS_PATH_ABSOLUTE / 'main/search-config-v2.json'):
                 latest_change = {}
                 latest_change[cls._LAST_MODIFIED_KEY_NAME] = cls.get_collection_timestamp(
                     collection)

